; errr
; $Id: error.scm,v 1.7 2005/09/06 08:39:57 lioka Exp $

(use-translation _ "alterator-packages")


caption (_ "Error during package installation")
margin 1 spacing 1
width 56 height 16

(label (_"Error during package installation")
       sizepolicy '(expanding . maximum)
       align 'center font "-*-*-bold-*-*--*-*-*-*-*-*-*-*")

(listbox sizepolicy 'expanding
 (items
  (delq #f
	(map (lambda(e)
	       (let ((class (car e))
		     (message (cdr e)))
		 (cond
		  ((string=? class "update")
		   (string-append (_ "Unable to get") " : " message))
		  ((string=? class "download")
		   (string-append (_ "Unable to download") " : " message))
		  ((string=? (car e) "install")
		   (string-append (_ "Unable to install") " : " message))
		  ((string=? class "assert")
		   (string-append (_ "Internal error") " : " message))
		  (else #f))))
	     (or (global 'error) '())))))

(button (_ "Close") sizepolicy 'minimum
	(on-click (end-dialog #t)))
